Trigger data export.
Trigger an ad-hoc Data Export. Each ad-hoc Export can be configured for exporting only one of either Usage or Operational data:
Operational Data Exports.
- Entity Types. Use the
operationalDataTypesparameter to specify the entities whose operational data you want to include in the ad-hoc export. - Export Files. For each of the entity types you select, when the ad-hoc export runs a separate file is compiled containing the operational data for all entities of that type that exist in your Organization
Usage Data Exports.
- Select the Meters and Accounts whose usage data you want to include in the ad-hoc export.
- You can use the
dimensionFiltersparameter to filter the usage data returned for export by adding specific values of non-numeric Dimension data fields on included Meters. Only the data collected for the values you’ve added for the selected Dimension fields will be included in the export. - You can use the
aggregationsto apply aggregation methods the usage data returned for export. This restricts the range of usage data returned for export to only the data collected by aggregated fields on selected Meters. Nothing is returned for any non-aggregated fields on Meters. The usage data for Meter fields is returned as the values resulting from applying the selected aggregation method. See the Aggregations for Queries - Options and Consequences for more details. - If you’ve applied
aggregationsto the usage returned for export, you can then use thegroupsparameter to group the data by Account, Dimension, or Time.
Date Range for Operational Data Exports. To restrict the operational data included in the ad-hoc export by a date/time range, use the startDate date/time request parameter to specify the start of the time period. The export will include all operational data from the specified startDate up until the date/time the export job runs.
Date Range for Usage Data Exports. To restrict the usage data included in the ad-hoc export by date/time range, use the startDate and endDate date/time parameters:
- Both
startDateandendDateare required. endDatemust be afterstartDate.endDatecannot be after tomorrow at midnight UTC. For example if today is May 20th 2025, you can only chooseendDateto be equal or before 2025-05-21T00:00:00.000Z.
NOTE: You can use the ExportJob id returned to check the status of the triggered ad-hoc export. See the ExportJob section of this API Reference.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
- Option 1
- Option 2
Request representing an operational data export configuration.
The list of the operational data types should be exported for.
1BILLS, COMMITMENTS, ACCOUNTS, BALANCES, CONTRACTS, ACCOUNT_PLANS, AGGREGATIONS, PLANS, PRICING, PRICING_BANDS, BILL_LINE_ITEMS, METERS, PRODUCTS, COMPOUND_AGGREGATIONS, PLAN_GROUPS, PLAN_GROUP_LINKS, PLAN_TEMPLATES, BALANCE_TRANSACTIONS, TRANSACTION_TYPES, CHARGES The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
The destination ids.
Note: If you omit a Destination, this means that when the Export job runs and has succeeded, you can download the data export file locally. For details, see the Get Data Export File Download URL endpoint in this API Reference.
The inclusive start date for the data export.
Response
Returns the job id for the ah-hoc data export.
Response containing data export ad-hoc jobId
The id of the job